/*******************************************************************************
 * Copyright (c) 2012 IBM Corporation and others.
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * and Eclipse Distribution License v. 1.0 which accompanies this distribution.
 *  
 * The Eclipse Public License is available at http://www.eclipse.org/legal/epl-v10.html
 * and the Eclipse Distribution License is available at
 * http://www.eclipse.org/org/documents/edl-v10.php.
 *
 * Contributors:
 *
 *     Russell Boykin       - initial API and implementation
 *     Alberto Giammaria    - initial API and implementation
 *     Chris Peters         - initial API and implementation
 *     Gianluca Bernardini  - initial API and implementation
 *     Michael Fiedler      - Bugzilla adpater implementations
 *     Jad El-khoury        - initial implementation of code generator (https://bugs.eclipse.org/bugs/show_bug.cgi?id=422448)
 * 
 * This file is generated by org.eclipse.lyo.oslc4j.codegenerator
 *******************************************************************************/

package se.kth.md.adaptors.basicexample;

import org.eclipse.lyo.oslc4j.core.model.OslcConstants;

// Start of user code imports
// End of user code

public interface BasicAdaptorConstants
{
    // Start of user code user constants
    public static String BASIC_DOMAIN_SERVICE_PROVIDER_ID = "BDSP";
    public static String BASIC_DOMAIN_SERVICE_PROVIDER_NAME = "Basic Domain SP";
    public static String REQUIREMENT_DOMAIN_SERVICE_PROVIDER_ID = "RSP";
    public static String REQUIREMENT_SERVICE_PROVIDER_NAME = "Requirement Domain SP";
    // End of user code

    public static String BASICDOMAIN_DOMAIN = "http://basic.example/nsp#";
    public static String BASICDOMAIN_NAMSPACE = "http://basic.example/nsp#";
    public static String BASICDOMAIN_NAMSPACE_PREFIX = "bex";
    public static String DUBLIN_CORE_DOMAIN = "http://purl.org/dc/terms/#";
    public static String DUBLIN_CORE_NAMSPACE = "http://purl.org/dc/terms/#";
    public static String DUBLIN_CORE_NAMSPACE_PREFIX = "dcterms";
    public static String EXTENDED_REQUIRMENT_MANAGEMENT_DOMAIN = "http://basic.example/nsp#";
    public static String EXTENDED_REQUIRMENT_MANAGEMENT_NAMSPACE = "http://basic.example/nsp#";
    public static String EXTENDED_REQUIRMENT_MANAGEMENT_NAMSPACE_PREFIX = "ext";
    public static String FOAF_DOMAIN = "http://xmlns.com/foaf/0.1/#";
    public static String FOAF_NAMSPACE = "http://xmlns.com/foaf/0.1/#";
    public static String FOAF_NAMSPACE_PREFIX = "foaf";
    public static String OSLC_DOMAIN = "http://open-services.net/ns/core#";
    public static String OSLC_NAMSPACE = "http://open-services.net/ns/core#";
    public static String OSLC_NAMSPACE_PREFIX = "oslc";
    public static String RDF_DOMAIN = "http://www.w3.org/1999/02/22-rdf-syntax-ns#";
    public static String RDF_NAMSPACE = "http://www.w3.org/1999/02/22-rdf-syntax-ns#";
    public static String RDF_NAMSPACE_PREFIX = "rdf";
    public static String REQUIREMENTS_MANAGEMENT_DOMAIN = "http://open-services.net/ns/rm#";
    public static String REQUIREMENTS_MANAGEMENT_NAMSPACE = "http://open-services.net/ns/rm#";
    public static String REQUIREMENTS_MANAGEMENT_NAMSPACE_PREFIX = "oslc_rm";

    public static String DEVELOPER = "Developer";
    public static String PATH_DEVELOPER = "developer";
    public static String TYPE_DEVELOPER = BASICDOMAIN_NAMSPACE + "Developer";
    public static String EXTENDEDREQUIREMENT = "ExtendedRequirement";
    public static String PATH_EXTENDEDREQUIREMENT = "extendedRequirement";
    public static String TYPE_EXTENDEDREQUIREMENT = EXTENDED_REQUIRMENT_MANAGEMENT_NAMSPACE + "ExtendedRequirement";
    public static String PERSON = "Person";
    public static String PATH_PERSON = "person";
    public static String TYPE_PERSON = FOAF_NAMSPACE + "Person";
    public static String REQUIREMENT = "Requirement";
    public static String PATH_REQUIREMENT = "requirement";
    public static String TYPE_REQUIREMENT = REQUIREMENTS_MANAGEMENT_NAMSPACE + "Requirement";
    public static String SOFTWAREPRODUCT = "SoftwareProduct";
    public static String PATH_SOFTWAREPRODUCT = "softwareProduct";
    public static String TYPE_SOFTWAREPRODUCT = BASICDOMAIN_NAMSPACE + "SoftwareProduct";

	// Start of user code user code parameters for HTML pages
	public static String ADAPTOR_TITLE_LABEL_FOR_HTML = "BasicAdaptor";
    public static String ADAPTOR_FOOTER_LABEL_FOR_HTML = "BasicAdaptor Demo";
    // End of user code

    public static final String HDR_OSLC_VERSION = "OSLC-Core-Version";

}

